package com.yd.dal.entity.meta;

import java.util.Date;

/**
 * @author xxy
 */
public class MdTagNew {
    private Long id;

    private Long configLevel;

    private Long upperTagId;

    private String tagName;
    
    private Long tagType;

    private Integer isActive;

    private Date createdAt;

    private Long createdBy;

    private Date updatedAt;

    private Long updatedBy;
    
    private String upperTagName;

    /**
     * Gets the value of id. *
     *
     * @return the value of id
     */
    public Long getId() {
        return id;
    }

    /**
     * Sets the id. *
     * <p>You can use getId() to get the value of id</p>
     * * @param id id
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * Gets the value of configLevel. *
     *
     * @return the value of configLevel
     */
    public Long getConfigLevel() {
        return configLevel;
    }

    /**
     * Sets the configLevel. *
     * <p>You can use getConfigLevel() to get the value of configLevel</p>
     * * @param configLevel configLevel
     */
    public void setConfigLevel(Long configLevel) {
        this.configLevel = configLevel;
    }

    /**
     * Gets the value of upperTagId. *
     *
     * @return the value of upperTagId
     */
    public Long getUpperTagId() {
        return upperTagId;
    }

    /**
     * Sets the upperTagId. *
     * <p>You can use getUpperTagId() to get the value of upperTagId</p>
     * * @param upperTagId upperTagId
     */
    public void setUpperTagId(Long upperTagId) {
        this.upperTagId = upperTagId;
    }

	/**
     * Gets the value of tagName. *
     *
     * @return the value of tagName
     */
    public String getTagName() {
        return tagName;
    }

    /**
     * Sets the tagName. *
     * <p>You can use getTagName() to get the value of tagName</p>
     * * @param tagName tagName
     */
    public void setTagName(String tagName) {
        this.tagName = tagName;
    }
    
    /**
	 * @return the tag_type
	 */
	public Long getTagType() {
		return tagType;
	}

	/**
	 * @param tag_type the tag_type to set
	 */
	public void setTagType(Long tagType) {
		this.tagType = tagType;
	}

    /**
     * Gets the value of isActive. *
     *
     * @return the value of isActive
     */
    public Integer getIsActive() {
        return isActive;
    }

    /**
     * Sets the isActive. *
     * <p>You can use getIsActive() to get the value of isActive</p>
     * * @param isActive isActive
     */
    public void setIsActive(Integer isActive) {
        this.isActive = isActive;
    }

    /**
     * Gets the value of createdAt. *
     *
     * @return the value of createdAt
     */
    public Date getCreatedAt() {
        return createdAt;
    }

    /**
     * Sets the createdAt. *
     * <p>You can use getCreatedAt() to get the value of createdAt</p>
     * * @param createdAt createdAt
     */
    public void setCreatedAt(Date createdAt) {
        this.createdAt = createdAt;
    }

    /**
     * Gets the value of createdBy. *
     *
     * @return the value of createdBy
     */
    public Long getCreatedBy() {
        return createdBy;
    }

    /**
     * Sets the createdBy. *
     * <p>You can use getCreatedBy() to get the value of createdBy</p>
     * * @param createdBy createdBy
     */
    public void setCreatedBy(Long createdBy) {
        this.createdBy = createdBy;
    }

    /**
     * Gets the value of updatedAt. *
     *
     * @return the value of updatedAt
     */
    public Date getUpdatedAt() {
        return updatedAt;
    }

    /**
     * Sets the updatedAt. *
     * <p>You can use getUpdatedAt() to get the value of updatedAt</p>
     * * @param updatedAt updatedAt
     */
    public void setUpdatedAt(Date updatedAt) {
        this.updatedAt = updatedAt;
    }

    /**
     * Gets the value of updatedBy. *
     *
     * @return the value of updatedBy
     */
    public Long getUpdatedBy() {
        return updatedBy;
    }

    /**
     * Sets the updatedBy. *
     * <p>You can use getUpdatedBy() to get the value of updatedBy</p>
     * * @param updatedBy updatedBy
     */
    public void setUpdatedBy(Long updatedBy) {
        this.updatedBy = updatedBy;
    }
    
    /**
	 * @return the upperTagName
	 */
	public String getUpperTagName() {
		return upperTagName;
	}

	/**
	 * @param upperTagName the upperTagName to set
	 */
	public void setUpperTagName(String upperTagName) {
		this.upperTagName = upperTagName;
	}

	@Override
    public String toString() {
        return "MdTagNew{" +
                "id=" + id +
                ", configLevel=" + configLevel +
                ", upperTagId=" + upperTagId +
                ", tagName='" + tagName + '\'' +
                ", tagType='" + tagType + '\'' +
                ", isActive=" + isActive +
                ", createdAt=" + createdAt +
                ", createdBy=" + createdBy +
                ", updatedAt=" + updatedAt +
                ", updatedBy=" + updatedBy +
                '}';
    }
}